Get an Invoice
curl --request GET \
--url https://api.arct.cloud/v1/invoices/{invoice_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arct.cloud/v1/invoices/{invoice_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arct.cloud/v1/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"status": "draft",
"subtotal": 123,
"tax": 123,
"total": 123,
"refunded_total": 123,
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"payment_method": "<string>",
"hosted_invoice_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"items": [
{
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"total": 123,
"server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Invoices
Get an Invoice
Returns one invoice with its line items.
GET
/
invoices
/
{invoice_id}
Get an Invoice
curl --request GET \
--url https://api.arct.cloud/v1/invoices/{invoice_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arct.cloud/v1/invoices/{invoice_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arct.cloud/v1/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"status": "draft",
"subtotal": 123,
"tax": 123,
"total": 123,
"refunded_total": 123,
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"payment_method": "<string>",
"hosted_invoice_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"items": [
{
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"total": 123,
"server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
API token from Dashboard > Settings > API Tokens.
Path Parameters
Response
Successful Response
Invoice status enumeration.
Available options:
draft, pending, paid, failed, refunded, cancelled Total, in USD.
Hosted invoice page, or null.
Show child attributes
Show child attributes